×

INDI Library v2.0.6 is Released (02 Feb 2024)

Bi-monthly release with minor bug fixes and improvements

Latest git fails to build

  • Posts: 421
  • Thank you received: 102
Yes, running make kstars does indeed work. Of course running make install fails, but that's no problem, I just copy kstars to the proper place and it works.
The following user(s) said Thank You: Gilles Gagnon
1 year 4 months ago #86875

Please Log in or Create an account to join the conversation.

  • Posts: 459
  • Thank you received: 69

Works. Thanks Hy.
The following user(s) said Thank You: Gilles Gagnon
1 year 4 months ago #86876

Please Log in or Create an account to join the conversation.

  • Posts: 294
  • Thank you received: 54
Worked here too on my ODroid N2, and I had to copy kstars to /usr/bin, as ''make install'' wanted to build the documentation.

Now waiting for the scheduler to activate, for my first formal use of it. I admit, I'm a little scared but confident that things will go nicely. :unsure:

One issue with this release of KStars, in the scheduler, the Target search crashes KStars, not always but often.

Thanks everyone.
Last edit: 1 year 4 months ago by Gilles Gagnon.
1 year 4 months ago #86877

Please Log in or Create an account to join the conversation.

  • Posts: 1201
  • Thank you received: 555
It seems that make install cannot be modified to be given a single target.
The truth is you don't even need to copy/install the kstars executable anywhere,
You can just run it from wherever it is compiled without any installation.
In Jerry's script, I believe that would be by typing this on the command line:
~/Projects/kstars-build/bin/kstars
That what I tend to do.

Hy
The following user(s) said Thank You: Gilles Gagnon
1 year 4 months ago #86878

Please Log in or Create an account to join the conversation.

  • Posts: 1009
  • Thank you received: 133
So it seems to be distribution dependent. I have no issue compiling it on my Pi4 running 64bit openSUSE Tumbleweed.
It has docbook_4 4.5 and docbook-xsl-stylesheets 1.79.2 installed. Maybe that's the difference?
1 year 4 months ago #86887

Please Log in or Create an account to join the conversation.

Yes, we asked KDE Doc team to fix this and make it compile on older KDE KF5 framework version. The current documentation requires KF5 v5.92 which isn't yet available on older distributions.
The following user(s) said Thank You: Peter Sütterlin
1 year 4 months ago #86888

Please Log in or Create an account to join the conversation.

  • Posts: 981
  • Thank you received: 159

Replied by Alfred on topic Latest git fails to build

Compiling on Kubuntu 22.04 (libkf5i18n5 V5.92.0) doesn't work either.
1 year 4 months ago #86892

Please Log in or Create an account to join the conversation.

  • Posts: 31
  • Thank you received: 3
Hi,

I saw you removed French documentation in master branch by the moment (github.com/KDE/kstars/commit/6baa2cca829...83d000a8d65cc28a2d6c). Will you do the change also in 3.6.1 branch or should we compile master?

Thanks!
1 year 4 months ago #86931

Please Log in or Create an account to join the conversation.

  • Posts: 348
  • Thank you received: 107

Replied by nou on topic Latest git fails to build

I managed to compile it on Ubuntu 22.04 with -DBUILD_DOC=Off -DBUILD_TESTING=Off
The following user(s) said Thank You: Alfred, Kevin Ross
1 year 4 months ago #86934

Please Log in or Create an account to join the conversation.

  • Posts: 981
  • Thank you received: 159

Replied by Alfred on topic Latest git fails to build

I git-pulled a moment ago and now kstars compiles correctly.
1 year 4 months ago #86935

Please Log in or Create an account to join the conversation.

Time to create page: 0.576 seconds